org.apache.groovy.parser.antlr4

## Class GroovyParser.PathElementContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext
      - - org.apache.groovy.parser.antlr4.GroovyParser.PathElementContext

- All Implemented Interfaces:
    org.antlr.v4.runtime.tree.ParseTree, org.antlr.v4.runtime.tree.RuleNode, org.antlr.v4.runtime.tree.SyntaxTree, org.antlr.v4.runtime.tree.Tree, NodeMetaDataHandler
  Enclosing class:
    GroovyParser

      public static class GroovyParser.PathElementContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `t`

    - ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

      `children, exception, start, stop`

    - ### Fields inherited from class org.antlr.v4.runtime.RuleContext

      `invokingState, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathElementContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<Result> Result` | `accept(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)`
    `GroovyParser.ArgumentsContext` | `arguments()`
    `org.antlr.v4.runtime.tree.TerminalNode` | `AT()`
    `GroovyParser.ClosureOrLambdaExpressionContext` | `closureOrLambdaExpression()`
    `GroovyParser.CreatorContext` | `creator()`
    `org.antlr.v4.runtime.tree.TerminalNode` | `DOT()`
    `int` | `getRuleIndex()`
    `GroovyParser.IndexPropertyArgsContext` | `indexPropertyArgs()`
    `org.antlr.v4.runtime.tree.TerminalNode` | `METHOD_POINTER()`
    `org.antlr.v4.runtime.tree.TerminalNode` | `METHOD_REFERENCE()`
    `GroovyParser.NamedPropertyArgsContext` | `namedPropertyArgs()`
    `GroovyParser.NamePartContext` | `namePart()`
    `org.antlr.v4.runtime.tree.TerminalNode` | `NEW()`
    `List<? extends GroovyParser.NlsContext>` | `nls()`
    `GroovyParser.NlsContext` | `nls(int i)`
    `GroovyParser.NonWildcardTypeArgumentsContext` | `nonWildcardTypeArguments()`
    `org.antlr.v4.runtime.tree.TerminalNode` | `SAFE_CHAIN_DOT()`
    `org.antlr.v4.runtime.tree.TerminalNode` | `SAFE_DOT()`
    `org.antlr.v4.runtime.tree.TerminalNode` | `SPREAD_DOT()`

    - ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext

      `getMetaDataMap, setMetaDataMap`

    - ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

      `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, emptyContext, enterRule, exitRule, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

    - ### Methods inherited from class org.antlr.v4.runtime.RuleContext

      `depth, getAltNumber, getChildContext, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

      `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- - ### Field Detail

    - #### t

          public int t

  - ### Constructor Detail

    - #### PathElementContext

          public PathElementContext(org.antlr.v4.runtime.ParserRuleContext parent,
                                    int invokingState)

  - ### Method Detail

    - #### nls

          public List<? extends GroovyParser.NlsContext> nls()

    - #### nls

          public GroovyParser.NlsContext nls(int i)

    - #### namePart

          public GroovyParser.NamePartContext namePart()

    - #### DOT

          public org.antlr.v4.runtime.tree.TerminalNode DOT()

    - #### NEW

          public org.antlr.v4.runtime.tree.TerminalNode NEW()

    - #### creator

          public GroovyParser.CreatorContext creator()

    - #### closureOrLambdaExpression

          public GroovyParser.ClosureOrLambdaExpressionContext closureOrLambdaExpression()

    - #### METHOD_POINTER

          public org.antlr.v4.runtime.tree.TerminalNode METHOD_POINTER()

    - #### METHOD_REFERENCE

          public org.antlr.v4.runtime.tree.TerminalNode METHOD_REFERENCE()

    - #### SPREAD_DOT

          public org.antlr.v4.runtime.tree.TerminalNode SPREAD_DOT()

    - #### SAFE_DOT

          public org.antlr.v4.runtime.tree.TerminalNode SAFE_DOT()

    - #### SAFE_CHAIN_DOT

          public org.antlr.v4.runtime.tree.TerminalNode SAFE_CHAIN_DOT()

    - #### AT

          public org.antlr.v4.runtime.tree.TerminalNode AT()

    - #### nonWildcardTypeArguments

          public GroovyParser.NonWildcardTypeArgumentsContext nonWildcardTypeArguments()

    - #### arguments

          public GroovyParser.ArgumentsContext arguments()

    - #### indexPropertyArgs

          public GroovyParser.IndexPropertyArgsContext indexPropertyArgs()

    - #### namedPropertyArgs

          public GroovyParser.NamedPropertyArgsContext namedPropertyArgs()

    - #### getRuleIndex

          public int getRuleIndex()

      Overrides:
        `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

    - #### accept

          public <Result> Result accept(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)

      Specified by:
        `accept` in interface `org.antlr.v4.runtime.tree.ParseTree`
      Overrides:
        `accept` in class `org.antlr.v4.runtime.RuleContext`